Skip to main content
PATCH
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
Update dataset metadata
curl --request PATCH \
  --url https://api.example.com/api/datasetrw/v1/datasets/{datasetId} \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "description": "<string>",
  "name": "<string>"
}
'
{
  "dataset": {
    "createdAt": "2022-03-12T02:13:44.467Z",
    "id": "62313ce67a0af0281c01a6a5",
    "name": "My Dataset",
    "snapshotIds": [
      "<string>"
    ],
    "tags": {},
    "description": "<string>",
    "projectId": "62313ce67a0af0281c01a6a5"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

datasetId
string
required

ID of dataset to update

Body

application/json

Fields to update

description
string

Description of the dataset

name
string

Name of this dataset. The name must be unique in the same project

Response

Success

dataset
object
required
metadata
object
required